Autor Zpráva
Anonymní
Profil *
zdravim, ako zapisem podmienku na zistenie prehliadaca, konkretne Opery verzie nizsej ako 9.00 ?
Ak prehliadac(browser) < opera 9.00 ,tak sa vykona nejaky kod...

Potreboval by som poradit ako zapisat tu podmienku:
if($_SERVER['HTTP_USER_AGENT'] < opera 9.00) ....
pmasarik
Profil
S tohoto by si mohol pochopiť ako zistíš verziu.
Neupravoval som to len som to vytiahol z jedného projektu.

$agent = $_SERVER['HTTP_USER_AGENT'];
$val = stristr($agent, "opera");
if (eregi("/", $val)){
$val = explode("/",$val);
$bd['browser'] = @$val[0];
$val = explode(" ",@$val[1]);
$bd['version'] = @$val[0];
}else{
$val = explode(" ",stristr($val,"opera"));
$bd['browser'] = @$val[0];
$bd['version'] = @$val[1];
}
echo $bd['browser'];
echo $bd['version'];
Toto téma je uzamčeno. Odpověď nelze zaslat.